Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleRect Class Reference

参照方法が複数ある柔軟なRect型を扱うクラス。 More...

Inheritance diagram for FlexibleRect:

## Public Member Functions
| FlexibleRect ()
| FlexibleRectデフォルトコンストラクタ More...
| FlexibleRect (Rect value)
| FlexibleRectコンストラクタ More...
| FlexibleRect (RectParameterReference parameter)
| FlexibleRectコンストラクタ More...
| FlexibleRect (InputSlotRect slot)
| FlexibleRectコンストラクタ More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator Rect (FlexibleRect flexible)
| FlexibleRectをRectにキャスト。 More...
static | operator FlexibleRect (Rect value)
| RectをFlexibleRectにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
Rect | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なRect型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleRect | ( |  | ) |

FlexibleRectデフォルトコンストラクタ

FlexibleRect | ( | Rect | value | ) |

FlexibleRectコンストラクタ

Parameters

  value | 値

FlexibleRect | ( | RectParameterReference | parameter | ) |

FlexibleRectコンストラクタ

Parameters

  parameter | パラメータ

FlexibleRect | ( | InputSlotRect | slot | ) |

FlexibleRectコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator FlexibleRect | ( | Rect | value | ) |
| explicit static

RectをFlexibleRectにキャスト。

Parameters

  value | Rect

static operator Rect | ( | FlexibleRect | flexible | ) |
| explicit static

FlexibleRectをRectにキャスト。

Parameters

  flexible | FlexibleRect

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

Rect value
| get

値を返す